## libre-chess 1.8.3-2

=== debian/changelog ===
libre-chess (1.8.3-2) unstable; urgency=low

  * Uses libre datafiles

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 17 Apr 2013 21:15:33 +0300
