=== debian/control ===
Source: libre-chess
Section: games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: intltool, libhildon1-dev,debhelper (>= 4.0.0), dbus (>= 0.22), libdbus-glib-1-2 (>= 0.22), libatk1.0-0 (>= 1.6.0), libatk1.0-dev (>= 1.6.0), libc6 (>= 2.3), libgtk2.0-0 (>= 2.2), libgtk2.0-dev (>= 2.2), libgconf2-6 (>= 2.6), libpng12-0 (>= 1.2.0), libpng12-dev (>= 1.2.0), libpango1.0-0 (>= 1.6.0), libpango1.0-dev (>= 1.6.0), libglib2.0-dev (>= 2.2), libdbus-1-dev (>= 0.22), libdbus-glib-1-dev (>= 0.22), libosso-dev, libgconf2-dev, libosso-gnomevfs2-dev, osso-games-startup-dev, libhildonfm2-dev (>= 2.16.2), libhildonmime-dev, maemo-launcher-dev (>= 0.22),libcanberra-dev, conbtdialogs-dev, libmodest-dbus-client-dev
Standards-Version: 3.6.0

Package: libre-chess
Architecture: any
Depends: osso-games-l10n-mr | osso-games-l10n-mr0, ${shlibs:Depends}, ${misc:Depends}, osso-games-startup (>=1.0.40-0), gnuchess, chess-graphics, chess-sounds, ${launcher:Depends}, hildon-fm-l10n-mr | hildon-fm-l10n-mr0, hildon-common-strings-l10n-mr | hildon-common-strings-l10n-mr0, hildon-libs-l10n-mr | hildon-libs-l10n-mr0
Conflicts: osso-chess-ui
Replaces: osso-chess-ui
Description: Liberated Chess user interface, uses libre data files
 OSSO Chess user interface. Required chess engine, GNU Chess, and OSSO games
 Start-up screen provided separately.

Package: libre-chess-dbg
Architecture: any
Section: devel
Depends: libre-chess (= ${Source-Version})
Description: libre-chess debug package
 Debug symbols for libre-chess.
