## libre-chess 1.8.3-3

=== debian/changelog ===
libre-chess (1.8.3-3) unstable; urgency=low

  * gnuchess-opt is good also

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 05 Jun 2013 18:58:33 +0200
