=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: libre-chess
 Architecture: any
-Depends: osso-games-l10n-mr | osso-games-l10n-mr0, ${shlibs:Depends}, ${misc:Depends}, osso-games-startup (>=1.0.40-0), gnuchess, chess-graphics, chess-sounds, ${launcher:Depends}, hildon-fm-l10n-mr | hildon-fm-l10n-mr0, hildon-common-strings-l10n-mr | hildon-common-strings-l10n-mr0, hildon-libs-l10n-mr | hildon-libs-l10n-mr0
+Depends: osso-games-l10n-mr | osso-games-l10n-mr0, ${shlibs:Depends}, ${misc:Depends}, osso-games-startup (>=1.0.40-0), gnuchess-opt | gnuchess, chess-graphics, chess-sounds, ${launcher:Depends}, hildon-fm-l10n-mr | hildon-fm-l10n-mr0, hildon-common-strings-l10n-mr | hildon-common-strings-l10n-mr0, hildon-libs-l10n-mr | hildon-libs-l10n-mr0
 Conflicts: osso-chess-ui
 Replaces: osso-chess-ui
 Description: Liberated Chess user interface, uses libre data files
