=== debian/rules ===
--- 
+++ 
@@ -119,7 +119,7 @@
 	dh_install -v --sourcedir=debian/tmp
 	dh_installman
 	dh_link
-	dh_strip --dbg-package=osso-chess-ui
+	dh_strip --dbg-package=libre-chess
 	dh_compress
 	dh_fixperms
 	dh_installdeb
